#!/bin/sh
CVMVER=5.6.2

LD_LIBRARY_PATH=.:intel32:${LD_LIBRARY_PATH}
make clean IFORT=1 ICC=1 MKL=1
make       IFORT=1 ICC=1 MKL=1
pushd ../lib
./regtest_cvm_ia32
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.mkl.ia32.tar
rm -f ../cvmlib.$CVMVER.mkl.ia32.tar.gz
tar -cf ../cvmlib.$CVMVER.mkl.ia32.tar LIC* lib* regtest* intel32/*
gzip ../cvmlib.$CVMVER.mkl.ia32.tar
popd

LD_LIBRARY_PATH=.:acml32:${LD_LIBRARY_PATH}
make clean IFORT=1 ICC=1 ACML=1
make       IFORT=1 ICC=1 ACML=1
pushd ../lib
./regtest_cvm_ia32
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.acml.ia32.tar
rm -f ../cvmlib.$CVMVER.acml.ia32.tar.gz
tar -cf ../cvmlib.$CVMVER.acml.ia32.tar LIC* lib* regtest* acml32/*
gzip ../cvmlib.$CVMVER.acml.ia32.tar
popd

LD_LIBRARY_PATH=.:acml_mp32:${LD_LIBRARY_PATH}
make clean IFORT=1 ICC=1 ACML_MP=1
make       IFORT=1 ICC=1 ACML_MP=1
pushd ../lib
./regtest_cvm_ia32
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.acml_mp.ia32.tar
rm -f ../cvmlib.$CVMVER.acml_mp.ia32.tar.gz
tar -cf ../cvmlib.$CVMVER.acml_mp.ia32.tar LIC* lib* regtest* acml_mp32/*
gzip ../cvmlib.$CVMVER.acml_mp.ia32.tar
popd
