#!/bin/sh
CVMVER=5.6.2
LD_LIBRARY_PATH=.:intel64:${LD_LIBRARY_PATH}

make clean IFORT=1 ICC=1 MKL=1 EM64T=1
make       IFORT=1 ICC=1 MKL=1 EM64T=1
pushd ../lib
./regtest_cvm_em64t
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.mkl.em64t.tar
rm -f ../cvmlib.$CVMVER.mkl.em64t.tar.gz
tar -cf ../cvmlib.$CVMVER.mkl.em64t.tar LIC* lib* regtest* intel64/*
gzip ../cvmlib.$CVMVER.mkl.em64t.tar
popd

LD_LIBRARY_PATH=.:acml64:${LD_LIBRARY_PATH}
make clean IFORT=1 ICC=1 ACML=1 EM64T=1
make       IFORT=1 ICC=1 ACML=1 EM64T=1
pushd ../lib
./regtest_cvm_em64t
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.acml.em64t.tar
rm -f ../cvmlib.$CVMVER.acml.em64t.tar.gz
tar -cf ../cvmlib.$CVMVER.acml.em64t.tar LIC* lib* regtest* acml64/*
gzip ../cvmlib.$CVMVER.acml.em64t.tar
popd

LD_LIBRARY_PATH=.:acml_mp64:${LD_LIBRARY_PATH}
make clean IFORT=1 ICC=1 ACML_MP=1 EM64T=1
make       IFORT=1 ICC=1 ACML_MP=1 EM64T=1
pushd ../lib
./regtest_cvm_em64t
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.acml_mp.em64t.tar
rm -f ../cvmlib.$CVMVER.acml_mp.em64t.tar.gz
tar -cf ../cvmlib.$CVMVER.acml_mp.em64t.tar LIC* lib* regtest* acml_mp64/*
gzip ../cvmlib.$CVMVER.acml_mp.em64t.tar
popd
